/*****************************************************
 * DFplayer　制御プログラム　
 * 使用マイコン　PIC16F1938
 * 2020/08/21
******************************************************/
#include <xc.h>
#include <stdio.h>
#include "command.h"

/*****コンフィグレーション設定*********/
// コンフィギュレーション１の設定
#pragma config FOSC = INTOSC    // 内部ｸﾛｯｸを使用する(INTOSC)
#pragma config WDTE = OFF       // ｳｵｯﾁﾄﾞｯｸﾞﾀｲﾏｰ無し(OFF)
#pragma config PWRTE = ON       // 電源ONから64ms後にﾌﾟﾛｸﾞﾗﾑを開始する(ON)
#pragma config MCLRE = ON      // 外部ﾘｾｯﾄ信号を使用
#pragma config CP = OFF         // ﾌﾟﾛｸﾞﾗﾑﾒﾓﾘｰを保護しない(OFF)
#pragma config CPD = OFF        // ﾃﾞｰﾀﾒﾓﾘｰを保護しない(OFF)
#pragma config BOREN = ON       // 電源電圧降下常時監視機能ON(ON)
#pragma config CLKOUTEN = OFF   // CLKOUTﾋﾟﾝをRA6ﾋﾟﾝで使用する(OFF)
#pragma config IESO = OFF       // 外部・内部ｸﾛｯｸの切替えでの起動はなし(OFF)
#pragma config FCMEN = OFF      // 外部ｸﾛｯｸ監視しない(FCMEN_OFF)

// コンフィギュレーション２の設定
#pragma config WRT = OFF        // Flashﾒﾓﾘｰを保護しない(OFF)
#pragma config PLLEN = OFF      // 動作クロックを32MHzでは動作させない(OFF)
#pragma config STVREN = ON      // スタックがオーバフローやアンダーフローしたらリセットをする(ON)
#pragma config BORV = HI        // 電源電圧降下常時監視電圧(2.5V)設定(HI)
#pragma config LVP = OFF        // 低電圧プログラミング機能使用しない(OFF)

/* 内部クロック　８ＭＨｚ */
#define  _XTAL_FREQ     8000000		//ディレイ用

/********　サブ関数　************/
void putch(unsigned char byte);

/********　メイン開始　************/
void main(void) {

/********　変数定義　************/


	/*******初期設定***** */
    OSCCON = 0x72;				//内臓クロック８HMz指定(BPLL Off
    ANSELA = 0x00;				//A/D停止
    ANSELB = 0x00;				//A/D停止

    TRISA  = 0b00000000;		//ポートＡすべて出力
    TRISB  = 0b00111111;		//RB6 RB7出力　他入力
    TRISC  = 0b10000000;		//

    /* USART初期設定*/
    TXSTA = 0x26;				//シリアル送信設定　0x24　でもok?
    RCSTA = 0x90;				//シリアル受信設定
	BAUDCON=0x08;				//
	SPBRG = 207;				//ボーレート  SPBRG=103時19.2kbps
								//             SPBRG=207時9600bps
   
/************　PICが動作しているか確認用　********************/	
//	printf("\r\nHELLO Ver1.1 \r\n");	//\r　復帰　\n　改行
	PORTA = 0xFF;						//ポートAに接続しているLEDをOFF
    __delay_ms(2000);

	while (1) {
        
//使用デバイスの指定
        device_set(); 
        __delay_ms(300);

//  音量調整       
        com_Volume(0x0d); 
        __delay_ms(300);        //300ms ウエイト 

//  トラック１を再生する。
        com_playtrk(01);    
		__delay_ms(3000);       
 
 //  次のトラックを再生する。 
        com_fwdplay();	
        __delay_ms(3000);   
        
 //  次のトラックを再生する。 
        com_fwdplay();	
        __delay_ms(3000);

//  前のトラックを再生する。        
        com_rewplay();
        __delay_ms(3000);        
       
//  トラック６を再生する。 
        com_playtrk(6);	        
        __delay_ms(3000);
    
//  トラック4を再生する。
    com_playtrk(4);	        
    __delay_ms(3000);
    
//  トラック9を再生する
    com_playtrk(9);	        
    __delay_ms(3000);
    
//  トラック17を再生する。    
     com_playtrk(17);	        
    __delay_ms(3000);      
    
    while(1){ }
       
		}
}

 /************************************************************
 * printf用
 ***********************************************************/
void putch(unsigned char byte){
		RCSTAbits.SPEN=1;
		TXREG=byte;
		while(!TXIF)continue;
		TXIF=0;
}
